sla_porpvgrw.f(3)

NAME
sla_porpvgrw.f -

SYNOPSIS

  Functions/Subroutines
REAL function SLA_PORPVGRW (UPLO, NCOLS, A, LDA, AF, LDAF, WORK)
SLA_PORPVGRW

Function/Subroutine Documentation

  REAL function SLA_PORPVGRW (CHARACTER*1UPLO, INTEGERNCOLS, REAL, dimension( lda, * )A, INTEGERLDA, REAL, dimension( ldaf, * )AF, INTEGERLDAF, REAL, dimension( * )WORK)

SLA_PORPVGRW

Purpose:

     SLA_PORPVGRW computes the reciprocal pivot growth factor
     norm(A)/norm(U). The "max absolute element" norm is used. If this is
     much less than 1, the stability of the LU factorization of the
     (equilibrated) matrix A could be poor. This also means that the
     solution X, estimated condition numbers, and error bounds could be
     unreliable.

Parameters:
    UPLO

              UPLO is CHARACTER*1
           = 'U':  Upper triangle of A is stored;
           = 'L':  Lower triangle of A is stored.

    NCOLS

              NCOLS is INTEGER
         The number of columns of the matrix A. NCOLS >= 0.

    A

              A is REAL array, dimension (LDA,N)
         On entry, the N-by-N matrix A.

    LDA

              LDA is INTEGER
         The leading dimension of the array A.  LDA >= max(1,N).

    AF

              AF is REAL array, dimension (LDAF,N)
         The triangular factor U or L from the Cholesky factorization
         A = U**T*U or A = L*L**T, as computed by SPOTRF.

    LDAF

              LDAF is INTEGER
         The leading dimension of the array AF.  LDAF >= max(1,N).

    WORK

              WORK is REAL array, dimension (2*N)

Author:
    Univ'. of Tennessee

    Univ'. of California Berkeley

    Univ'. of Colorado Denver

    NAG Ltd'.

Date:
    November 2011

Definition at line 105 of file sla_porpvgrw.f'.

Author

Generated automatically by Doxygen for LAPACK from the source code'.